<?php $__env->startSection('styles'); ?>
    <link rel="stylesheet" href="<?php echo e(url('storage/admin-assets/css/datatables/dataTables.bootstrap5.min.css')); ?>">
    <link rel="stylesheet" href="<?php echo e(url('storage/admin-assets/css/datatables/buttons.dataTables.min.css')); ?>">
    
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
    <div class="page-content">
        <div class="container-fluid">
            <div class="row">
                <h5 class="text-uppercase"><?php echo e(trans('labels.appointments')); ?></h5>
                <div class="card border-0 my-3">
                    <div class="card-body">
                        <div class="table-responsive">
                            <table class="table table-striped py-3 w-100" id="appointments">
                                <thead>
                                    <tr class="text-uppercase fw-500">
                                        <td>#</td>
                                        <td><?php echo e(trans('labels.date')); ?></td>
                                        <td><?php echo e(trans('labels.name')); ?></td>
                                        <td><?php echo e(trans('labels.email')); ?></td>
                                        <td><?php echo e(trans('labels.time')); ?></td>
                                        <td><?php echo e(trans('labels.status')); ?></td>
                                        <td class="text-center"><?php echo e(trans('labels.action')); ?></td>
                                    </tr>
                                </thead>
                                <tbody>
                                    <?php $i = 1; ?>
                                    <?php $__currentLoopData = $appointments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $data): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                        <tr>
                                            <td><?php echo $i++; ?></td>
                                            <td><?php echo e(helper::date_format($data->date)); ?></td>
                                            <td><?php echo e($data->name); ?></td>
                                            <td><?php echo e($data->email); ?></td>
                                            <td><?php echo e($data->time); ?></td>
                                            <td>
                                                <?php if($data->status == 1 ): ?>
                                                <button class="btn btn-info btn-sm"><?php echo e(trans('labels.pending')); ?></button>    
                                                <?php elseif($data->status == 2 ): ?>
                                                <button class="btn btn-success btn-sm"><?php echo e(trans('labels.accepted')); ?></button>    
                                                <?php else: ?>
                                                <button class="btn btn-danger btn-sm"><?php echo e(trans('labels.rejected')); ?></button>    
                                                <?php endif; ?>
                                            </td>
                                            <td class="text-center">
                                                <a class="dropdown-toggle cursor-pointer" data-bs-toggle="dropdown" aria-expanded="false">
                                                    <?php echo e(trans('labels.select')); ?>

                                                </a>
                                                <ul class="dropdown-menu">
                                                  <li><a onclick="status('<?php echo e($data->id); ?>', '2', '<?php echo e(URL::to('admin/appointments/changestatus')); ?>')" class="dropdown-item"><?php echo e(trans('labels.accepted')); ?></a></li>
                                                  <li><a onclick="status('<?php echo e($data->id); ?>', '3', '<?php echo e(URL::to('admin/appointments/changestatus')); ?>')" class="dropdown-item"><?php echo e(trans('labels.rejected')); ?></a></li>
                                                </ul>
                                            </td>
                                        </tr>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('scripts'); ?>
    <script src="<?php echo e(url('storage/admin-assets/js/datatables/jquery.dataTables.min.js')); ?>"></script><!-- Datatables JS -->
    <script src="<?php echo e(url('storage/admin-assets/js/datatables/dataTables.bootstrap5.min.js')); ?>"></script><!-- Datatables Bootstrap5 JS -->
    <script src="<?php echo e(url('storage/admin-assets/js/datatables/dataTables.buttons.min.js')); ?>"></script><!-- Datatables Buttons JS -->
    <script src="<?php echo e(url('storage/admin-assets/js/datatables/jszip.min.js')); ?>"></script><!-- Datatables Excel Buttons JS -->
    <script src="<?php echo e(url('storage/admin-assets/js/datatables/pdfmake.min.js')); ?>"></script><!-- Datatables Make PDF Buttons JS -->
    <script src="<?php echo e(url('storage/admin-assets/js/datatables/vfs_fonts.js')); ?>"></script><!-- Datatables Export PDF Buttons JS -->
    <script src="<?php echo e(url('storage/admin-assets/js/datatables/buttons.html5.min.js')); ?>"></script><!-- Datatables Buttons HTML5 JS -->
    <script>
        $(document).ready(function() {
            "use strict";
            $('#appointments').DataTable({
                dom: 'Bfrtip',
                buttons: [
                    'excelHtml5',
                    'pdfHtml5'
                ]
            });
        });

        function status(id, status, url) {
            "use strict";
            $('#preloader , #status').show();
            $.ajax({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                },
                type: "POST",
                url: url,
                data: {
                    'id': id,
                    'status': status
                },
                dataType: 'json',
                success: function(response) {
                    if (response == 1) {
                        location.reload();
                    } else {
                        toastr.error(error)
                    }
                },
                failure: function(response) {
                    toastr.error(error)
                }
            });
        }
    </script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('admin.layout.default', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH /home/reisycard.com/public_html/vcard/resources/views/admin/appointments/appointments.blade.php ENDPATH**/ ?>